<div class="widget-body">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-md-11 col-lg-9">
                <div class="row my-md-5 my-4 mx-2">
                    <div class="card card-border">
                        <div class="card-body p-4 pt-4">
                            <div class="d-flex flex-column">
                                <h3 class="mt-0 mb-4">Tasks &amp; Status</h3>
                                <p>
                                    The onboarding process involves completing the Company Registration Contract and the Onboarding Terms and
                                    Conditions (T&Cs).
                                </p>
                                @if (showUpdateButton) {
                                    <button
                                        type="button"
                                        class="btn-default btn-same-size-small"
                                        data-test="update-button"
                                        [disabled]="loadingStatus"
                                        (click)="getContractStatus()"
                                    >
                                        @if (loadingStatus) {
                                            <output data-test="update-spinner" class="spinner-border spinner-border-sm"></output>
                                        }
                                        @if (!loadingStatus) {
                                            <output>{{ "Update" }}</output>
                                        }
                                    </button>
                                }
                            </div>
                            <div class="text-end">
                                <p class="text-muted small mt-2" data-test="last-update">{{ lastUpdate }}</p>
                            </div>

                            <ead-accordion-item
                                [title]="'Company Registration Contract'"
                                [documentStatus]="registrationStatus"
                                [popoverTitle]="'Company Registration Contract'"
                                [popoverContent]="
                                    'Check your junk mail folder if you do not receive an e-mail within a couple of minutes. Please have your electronic ID card or ID and digital video-capable device ready to sign the contract.'
                                "
                                [customClass]="'accordion-background-blue'"
                                [id]="'One'"
                                [isDisabled]="false"
                                [isExpanded]="'show'"
                            >
                                <ead-company-registration></ead-company-registration>
                            </ead-accordion-item>

                            <ead-accordion-item
                                [title]="'Onboarding Terms and Conditions'"
                                [documentStatus]="onboardingStatus"
                                [popoverTitle]="'Onboarding Terms and Conditions'"
                                [popoverContent]="
                                    'For the legally binding conclusion of the T&C contract, concerned parties will be required to review and electronically sign the document. To that end, concerned parties will receive an email with a link.'
                                "
                                [id]="'Two'"
                                [isDisabled]="!CompanyIsRegistered"
                                [isExpanded]="CompanyIsRegistered ? 'show' : 'collapsed'"
                            >
                                <ead-onboarding-terms-and-conditions></ead-onboarding-terms-and-conditions>
                            </ead-accordion-item>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
